> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get terminal profile



## OpenAPI

````yaml /openapi/partner.openapi.json get /terminal
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
paths:
  /terminal:
    get:
      tags:
        - Partner Terminal
      summary: Get terminal profile
      parameters:
        - $ref: '#/components/parameters/TerminalHeaderParam'
      responses:
        '200':
          description: Terminal info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPartnerTerminal'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  parameters:
    TerminalHeaderParam:
      name: x-terminal
      in: header
      required: true
      schema:
        type: string
      description: Terminal serial number
  schemas:
    IPartnerTerminal:
      type: object
      required:
        - SerialNumber
        - TerminalID
        - Merchant
        - Email
        - PhoneNumber
        - Status
        - CreatedAt
        - Metadata
        - PayTag
        - Balance
      properties:
        SerialNumber:
          type: string
        TerminalID:
          type: string
        Merchant:
          type: string
        Email:
          type: string
        PhoneNumber:
          type: string
        Status:
          type: string
        CreatedAt:
          type: string
          format: date-time
        Metadata:
          type: object
          additionalProperties: true
        PayTag:
          type: string
        Balance:
          type: number
        Qr:
          type: string
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````